Subject: bug#73604: [PATCH] Properly operate on current fileset revision in vc-hg-print-log

From: Sean Whitton <[email-masked]>
Date: Thu, 03 Oct 2024 15:04:51 +0800

Hello,

On Thu 03 Oct 2024 at 09:50am +03, Eli Zaretskii wrote:

>> From: Sean Whitton <[email-masked]>
>> Cc: Spencer Baugh <[email-masked]>, [email-masked]
>> Date: Thu, 03 Oct 2024 10:16:33 +0800
>>
>> Eli, can this go on emacs-30?
>
> Why is it important enough to install on emacs-30?  The situation
> sounds quite rare to me.

Yeah, it's relatively rare, but I was thinking that it would be
appropriate because of the simplicity of the fix.  Anyway, master is
fine, I just wanted to ask.

> Moreover, I'm not sure the change is correct in general.  If you
> invoke "C-x v l" with an argument, the prompt says "...(default: last
> revision)".  It says "last", and doesn't say anything about the
> working revision.  So I don't understand why you say the current
> operation of the command is incorrect even when the tip and the
> current working revision are different.  I think this is precisely a
> use case where the user should invoke the command with a prefix arg
> and specify the revision from which to start.

Well, the description of C-x v l is

    Show in another window the VC change history of the current fileset.

If the current fileset doesn't exist in tip, then we'd better not just
log tip.

Possibly the prompt should also change.  Let's see what Spencer thinks.

-- 
Sean Whitton